GuidesAPI ReferenceChangelogAPI StatusAPI PolicyGusto Security
API Reference

Verify the webhook subscription

When a webhook subscription is created, a verification_token is POSTed to the registered webhook subscription URL. This verify endpoint needs to be called with verification_token before webhook events can be sent to the registered webhook URL.

Use the /v1/webhook_subscriptions/{webhook_subscription_uuid}/request_verification_token API to resend the verification_token to the Subscriber.

System Access Authentication

This endpoint uses the Bearer Auth scheme with the system-level access token in the HTTP Authorization header.

scope: webhook_subscriptions:write

Path Params
string
required

The webhook subscription UUID.

Body Params
string
required

The token POSTed to the Subscription URL.

Headers
string
enum
Defaults to 2026-02-01

Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.

Allowed:
Responses

404

Not Found

The requested resource does not exist. Make sure the provided UUID is valid.

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json